Subject: Re: [RFC PATCH] mwifiex: Select firmware based on strapping

From: Kalle Valo <[email-masked]>
Date: Wed, 23 Mar 2022 09:31:32 +0200

Brian Norris <[email-masked]> writes:

>> --- a/drivers/net/wireless/marvell/mwifiex/sdio.h
>> +++ b/drivers/net/wireless/marvell/mwifiex/sdio.h
>> @@ -39,6 +39,7 @@
>>  #define SD8977_DEFAULT_FW_NAME "mrvl/sdsd8977_combo_v2.bin"
>>  #define SD8987_DEFAULT_FW_NAME "mrvl/sd8987_uapsta.bin"
>>  #define SD8997_DEFAULT_FW_NAME "mrvl/sdsd8997_combo_v4.bin"
>> +#define SD8997_SDIOUART_FW_NAME "nxp/sdiouart8997_combo_v4.bin"
>
> This isn't your main issue, but just because companies buy and sell IP
> doesn't mean we'll change the firmware paths. Qualcomm drivers still use
> "ath" prefixes, for one ;)
>
> Personally, I'd still keep the mrvl/ path. But that might be up to Kalle
> and/or linux-firmware.git maintainers.

I also prefer to have all the firmware files in the mrvl directory.

Actually I would prefer that each driver has it's own firmware
directory, but that's another topic.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches